GPROFNG-DISPLAY-GUI(1)

NAME
gprofng-display-gui - Graphical tool to analyze one or more gprofng experiments

SYNOPSIS
gprofng display gui [option(s)] [[-c] experiment(s) | target [target-options]]

DESCRIPTION
The gprofng display gui tool starts the GUI, which is a Java based graphical tool that can be used to analyze performance data that has been collected with the gprofng collect app tool.

Multiple experiments may be specified on the command line. The data for all these experiments is loaded and ready for analysis.

Once the tool has started, it is also possible to drop or load other experiments.

By default, if multiple experiments are specified, the data is aggregated across the experiments.

If the -c option is used, the tool starts in comparison mode. In this case, the data for the various experiments can be compared. If this option is used, at least two experiments must be specified on the command line.

Alternatively, the tool can be invoked without specifying experiments. In this case, a target program is expected to be specified. Optionally, there may be options for the target.

If started this way, a window with user settings will be opened. These may be used to specify the options and other preferences that define the data collection experiment. The user can then run the experiment from this window and upon successful completion, analyze the results.

If gprofng display gui is invoked without specifying one or more experiments, or a target, a welcome screen is shown. In this screen, the user can specify whether to analyze an existing experiment, or to create a new experiment by specifying the data collection settings to define and run a new performance experiment.

OPTIONS

--version
    Print the version number and exit.

--help
    Print usage information and exit.

-v, --verbose
    By default, verbose mode is disabled. This option enables it.

-j jvmpath, --jdkhome jvmpath
    Specify the path to the Java Virtual Machine (JVM) to be used for running gprofng display gui. The default path is taken first by examining environment variables for a path to the JVM, in the order JDK_HOME, and then JAVA_PATH.

    If neither environment variable is set, the version found in the search path set with the PATH environment variable is used. If none is found, /usr/java/bin/java is tried.

-Jjvm-setting
    Use this option to pass on settings to the JVM. Multiple -J options and corresponding settings may be supplied. Note that there is no space between the -J option and the jvm-setting setting to the JVM.

-c base-group compare-group
    By default, the results for multiple experiments are aggregated. With this option, the GUI starts in comparison mode. If this option is specified, two or more experiments must be provided as arguments. The first experiment is the base group. The results in the other experiment(s) are compared to this reference experiment.

    Note that the user can toggle between aggregation and comparison mode from within the GUI.

-f size, --fontsize size
    Specify the font size to be used in the GUI.

-u dir-path, --userdir dir-path
    Specify the path to the user directory in which to store user settings.

NOTES
The gprofng display gui tool relies on other gprofng components. Therefore, it is necessary to also install the other components, either by using one of the available RPM's, install from a tar file distribution, or to build and install gprofng directly from the source.

SEE ALSO
gprofng(1), gp-archive(1), gp-collect-app(1), gp-display-html(1), gp-display-src(1), gp-display-text(1)

The user guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are correctly installed, the command info gprofng should give access to this document.

COPYRIGHT
Copyright (c) 2022-2025 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".